Index: trunk/Gps/gpsComponent.h
===================================================================
--- trunk/Gps/gpsComponent.h	(revision 59)
+++ trunk/Gps/gpsComponent.h	(revision 99)
@@ -21,9 +21,11 @@
 #include <QSemaphore>
 #include <QThread>
+#include <QByteArray>
+#include <QString>
 
 #ifdef WIN32
 #   include "../driver/win32SerialPort.h"
 //#   include "network/gpsServerSocket.h"
-#else 
+#else
 #   include "../driver/PosixSerialPort.h"
 #endif
@@ -41,5 +43,5 @@
 #   endif
 #else
-    // On other platforms, simply ignore this 
+    // On other platforms, simply ignore this
 #   define GPS_API /* nothing */
 #endif
@@ -58,12 +60,12 @@
 {
   Q_OBJECT
-    
+
 public:
-  GpsComponent(QString name); 
-  ~GpsComponent(); 
-  
+  GpsComponent(QString name);
+  ~GpsComponent();
+
   virtual void stopActivity(); /*!< to stop the processing thread */
   virtual void startActivity(); /*!< to start the processing thread */
-  virtual ComponentBase::COMPONENT_CONFIGURATION configureComponent(XmlComponentConfig config); 
+  virtual ComponentBase::COMPONENT_CONFIGURATION configureComponent(XmlComponentConfig config);
 
 
@@ -71,18 +73,18 @@
   void disableSocketServer(); /*!< to disable the socket server interface */
 
-  void setPortCOM(const char * port); 
+  void setPortCOM(const char * port);
 
 
-  
-public slots: 
+
+public slots:
   void unlockProcessing(int v); /*!< to unlock the processing thread */
 
 protected:
 private:
-  void run(); /*!< the main loop of the thread */ 
-  int frameType(const QByteArray& frame); /*!< to get the type of the frame */ 
-  int decodeFrame(int type); /*!< parse the string in the NMEA0183 class to get the frame informations */ 
+  void run(); /*!< the main loop of the thread */
+  int frameType(const QByteArray& frame); /*!< to get the type of the frame */
+  int decodeFrame(int type); /*!< parse the string in the NMEA0183 class to get the frame informations */
   bool currentFrameIsPps(); /*!< checks if a frame is an out-of-band pps signal */
-  bool analyzeFrame(); /*!< reconstruct the entire frame starting from the received pieces */ 
+  bool analyzeFrame(); /*!< reconstruct the entire frame starting from the received pieces */
 
 #ifdef WIN32
@@ -104,21 +106,21 @@
   static FrameTypeMap frameTypes[MAX_FRAMES];
 
-  NMEA0183 nmea0183_; 
-  QSemaphore semaphore_; 
+  NMEA0183 nmea0183_;
+  QSemaphore semaphore_;
 
-  FRAME* currentFrame_; 
+  FRAME* currentFrame_;
 
-  FRAME frameToDecode_; 
+  FRAME frameToDecode_;
 
   road_time_t lastPpsTime_;
 
-  bool newFrameToDecode_; 
-  bool startOfFrame_; 
-  bool endOfFrame_; 
+  bool newFrameToDecode_;
+  bool startOfFrame_;
+  bool endOfFrame_;
   int nextByteToProcess_;
 
 
   unsigned int ppsIndex_;
-  
+
   DbiteFile ppshdFile; /*!< pointer to the pps dbt file */
   DbiteFile ggahdFile; /*!< pointer to the gga dbt file */
@@ -139,26 +141,26 @@
   bool ggaRecording;
   bool gsaRecording;
-  bool gstRecording; 
+  bool gstRecording;
   bool gsvRecording;
   bool hdtRecording;
-  bool rmcRecording; 
-  bool rotRecording; 
-  bool vtgRecording; 
-  bool zdaRecording; 
-  
-  QString portName_; 
+  bool rmcRecording;
+  bool rotRecording;
+  bool vtgRecording;
+  bool zdaRecording;
+
+  QString portName_;
 
   ShMem * shMem_;
-  
+
   /// For the socket server
   /* Qt3 version - 17/12/2007
-  BOOL socketServerEnabled; 
-  void *frameToSend; 
+  BOOL socketServerEnabled;
+  void *frameToSend;
   QCustomEvent *evt;
   */
-  
-  /* 
-  * VC6 doesn't support out-of-class template defintions 
-  * see on http://support.microsoft.com kb q243451 and more particulary 241949 
+
+  /*
+  * VC6 doesn't support out-of-class template defintions
+  * see on http://support.microsoft.com kb q243451 and more particulary 241949
   */
   template<typename T>
@@ -168,9 +170,9 @@
     if (socketServerEnabled)
     {
-      frameToSend = new T; 
-      *(T*)frameToSend = frame; 
-      evt = new QCustomEvent(QEvent::User + type); 
-      evt->setData(frameToSend); 
-      postEvent(serverSocket,evt); 
+      frameToSend = new T;
+      *(T*)frameToSend = frame;
+      evt = new QCustomEvent(QEvent::User + type);
+      evt->setData(frameToSend);
+      postEvent(serverSocket,evt);
     }
     */
